Package org.eclipse.cdt.core.index

# Class IPDOMASTProcessor.Abstract

java.lang.Object
org.eclipse.cdt.core.index.IPDOMASTProcessor.Abstract

All Implemented Interfaces:
  `IPDOMASTProcessor`

Enclosing interface:
  `IPDOMASTProcessor`

public abstract static class IPDOMASTProcessor.Abstract extends Object implements IPDOMASTProcessor
An abstract class that should be extended by contributors of the extension-point. Extending this class means that contributors will get default implementations for future additions.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.index.IPDOMASTProcessor

`IPDOMASTProcessor.Abstract`

## Constructor Summary

Constructors
Constructor
Description
`Abstract()`

## Method Summary

Modifier and Type
Method
Description
`int`
`process(IASTTranslationUnit ast, IIndexSymbols symbols)`
Processes the input AST by adding significant symbols to the given output map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Abstract

public Abstract()

## Method Details

### process

public int process(IASTTranslationUnit ast, IIndexSymbols symbols) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `IPDOMASTProcessor`
Processes the input AST by adding significant symbols to the given output map. Returns the linkage id that should be used to store the result, or `ILinkage.NO_LINKAGE_ID` if the AST contained nothing of significance to this processor.

Specified by:
  `process` in interface `IPDOMASTProcessor`
Parameters:
  `ast` - The input AST to be processed.
  `symbols` - The output map of significant symbols.
Returns:
  The linkage-id in which to store the symbols or `ILinkage.NO_LINKAGE_ID` if the AST contained nothing of significance.
Throws:
  `org.eclipse.core.runtime.CoreException`